<mamecheat version="1">

  <cheat desc="See the Dip Switch Menu to enable an alternate"/>
  <cheat desc="Invincibility cheat. If you want to skip the"/>
  <cheat desc="Level or see the game very fast then enable"/>
  <cheat desc="Infinite Bombs AND Invincibility and put the"/>
  <cheat desc="frameskip to 11 and hit F10 to push the speed"/>
  <cheat desc="to the maximum. The faster your CPU the better"/>
  <cheat desc="Just walk UP and use bomb to kill the boss."/>

  <cheat desc="Select Starting Level">
    <parameter min="1" max="7" step="1"/>
    <script state="run">
      <action>maincpu.mb@0029C9=(param-1)</action>
      <action>maincpu.mw@0029CA=33C0</action>
    </script>
    <script state="off">
      <action>maincpu.mb@0029C9=00</action>
      <action>maincpu.mw@0029CA=3039</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@240BCF=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@241E7E=D0</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL1">
    <script state="run">
      <action>maincpu.pb@241E57=0B</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@241E61=0A</action>
    </script>
  </cheat>

  <cheat desc="Get Max Firepower Now! PL1">
    <script state="on">
      <action>maincpu.pb@241E53=02</action>
    </script>
  </cheat>

  <cheat desc="Get Normal Weapon Now! PL1">
    <script state="on">
      <action>maincpu.pb@241E3C=00|(maincpu.pb@241E3C BAND ~4B)</action>
    </script>
  </cheat>

  <cheat desc="Get 3-Way Weapon Now! PL1">
    <script state="on">
      <action>maincpu.pb@241E3C=01|(maincpu.pb@241E3C BAND ~4B)</action>
    </script>
  </cheat>

  <cheat desc="Get Super Ball Now! PL1">
    <script state="on">
      <action>maincpu.pb@241E3C=08|(maincpu.pb@241E3C BAND ~08)</action>
    </script>
  </cheat>

  <cheat desc="Get Super Burner Now! PL1">
    <script state="on">
      <action>maincpu.pb@241E3C=40|(maincpu.pb@241E3C BAND ~48)</action>
    </script>
  </cheat>

  <cheat desc="Get Speed Up Now! PL1">
    <script state="on">
      <action>maincpu.pb@241E3C=20|(maincpu.pb@241E3C BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Get Shield Now! PL1">
    <script state="on">
      <action>maincpu.pb@241E3C=80|(maincpu.pb@241E3C BAND ~80)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@240BD1=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@241EFE=D0</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL2">
    <script state="run">
      <action>maincpu.pb@241ED7=0B</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@241EE1=0A</action>
    </script>
  </cheat>

  <cheat desc="Get Max Firepower Now! PL2">
    <script state="on">
      <action>maincpu.pb@241ED3=02</action>
    </script>
  </cheat>

  <cheat desc="Get Normal Weapon Now! PL2">
    <script state="on">
      <action>maincpu.pb@241EBC=00|(maincpu.pb@241EBC BAND ~4B)</action>
    </script>
  </cheat>

  <cheat desc="Get 3-Way Weapon Now! PL2">
    <script state="on">
      <action>maincpu.pb@241EBC=01|(maincpu.pb@241EBC BAND ~4B)</action>
    </script>
  </cheat>

  <cheat desc="Get Super Ball Now! PL2">
    <script state="on">
      <action>maincpu.pb@241EBC=08|(maincpu.pb@241EBC BAND ~08)</action>
    </script>
  </cheat>

  <cheat desc="Get Super Burner Now! PL2">
    <script state="on">
      <action>maincpu.pb@241EBC=40|(maincpu.pb@241EBC BAND ~48)</action>
    </script>
  </cheat>

  <cheat desc="Get Speed Up Now! PL2">
    <script state="on">
      <action>maincpu.pb@241EBC=20|(maincpu.pb@241EBC BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Get Shield Now! PL2">
    <script state="on">
      <action>maincpu.pb@241EBC=80|(maincpu.pb@241EBC BAND ~80)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Skip ROM Checks">
    <script state="on">
      <action>temp0 =maincpu.mw@013B0C</action>
    </script>
    <script state="run">
      <action>maincpu.mw@013B0C=6020</action>
    </script>
    <script state="off">
      <action>maincpu.mw@013B0C=temp0 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
